#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './filerenamerbase.ui'
**
** Created: 2012-09-16T16:59:14
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "filerenamerbase.h"

#include <qvariant.h>
#include <tqscrollview.h>
#include <qpushbutton.h>
#include <kcombobox.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <kpushbutton.h>
#include <kurlrequester.h>
#include <qframe.h>
#include <qgroupbox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a FileRenamerBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
FileRenamerBase::FileRenamerBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "FileRenamerBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    FileRenamerBaseLayout = new QVBoxLayout( this, 11, 6, "FileRenamerBaseLayout"); 

    tqlayout4 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout4"); 

    m_separator = new KComboBox( FALSE, this, "m_separator" );
    m_separator->setEditable( TRUE );

    tqlayout4->addWidget( m_separator, 1, 1 );

    textLabel1_6 = new QLabel( this, "textLabel1_6" );

    tqlayout4->addWidget( textLabel1_6, 0, 0 );

    tqlayout3 = new QHBoxLayout( 0, 0, 6, "tqlayout3"); 

    m_category = new QComboBox( FALSE, this, "m_category" );
    tqlayout3->addWidget( m_category );

    m_insertCategory = new KPushButton( this, "m_insertCategory" );
    tqlayout3->addWidget( m_insertCategory );

    tqlayout4->addLayout( tqlayout3, 2, 1 );

    m_musicFolder = new KURLRequester( this, "m_musicFolder" );
    m_musicFolder->setShowLocalProtocol( TRUE );
    m_musicFolder->setMode( 26 );

    tqlayout4->addWidget( m_musicFolder, 0, 1 );

    textLabel1 = new QLabel( this, "textLabel1" );

    tqlayout4->addWidget( textLabel1, 2, 0 );

    textLabel1_7 = new QLabel( this, "textLabel1_7" );

    tqlayout4->addWidget( textLabel1_7, 1, 0 );
    FileRenamerBaseLayout->addLayout( tqlayout4 );

    line1_2 = new QFrame( this, "line1_2" );
    line1_2->setFrameShape( QFrame::HLine );
    line1_2->setFrameShadow( QFrame::Sunken );
    line1_2->setFrameShape( QFrame::HLine );
    FileRenamerBaseLayout->addWidget( line1_2 );

    m_mainView = new QScrollView( this, "m_mainView" );
    m_mainView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 1, m_mainView->sizePolicy().hasHeightForWidth() ) );
    FileRenamerBaseLayout->addWidget( m_mainView );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );
    FileRenamerBaseLayout->addWidget( line1 );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, groupBox1->sizePolicy().hasHeightForWidth() ) );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    tqlayout2 = new QHBoxLayout( 0, 0, 6, "tqlayout2"); 
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout2->addItem( spacer2 );

    m_showExample = new KPushButton( groupBox1, "m_showExample" );
    tqlayout2->addWidget( m_showExample );
    spacer2_2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout2->addItem( spacer2_2 );
    groupBox1Layout->addLayout( tqlayout2 );

    m_exampleText = new QLineEdit( groupBox1, "m_exampleText" );
    m_exampleText->setFocusPolicy( QLineEdit::NoFocus );
    m_exampleText->setAcceptDrops( FALSE );
    m_exampleText->setLineWidth( 2 );
    m_exampleText->setReadOnly( TRUE );
    groupBox1Layout->addWidget( m_exampleText );
    FileRenamerBaseLayout->addWidget( groupBox1 );
    spacer7 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    FileRenamerBaseLayout->addItem( spacer7 );
    languageChange();
    resize( QSize(489, 579).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_separator, SIGNAL( textChanged(const TQString&) ), this, SLOT( exampleTextChanged() ) );
    connect( m_musicFolder, SIGNAL( textChanged(const QString&) ), this, SLOT( exampleTextChanged() ) );
    connect( m_showExample, SIGNAL( clicked() ), this, SLOT( toggleExampleDialog() ) );
    connect( m_insertCategory, SIGNAL( clicked() ), this, SLOT( insertCategory() ) );

    // tab order
    setTabOrder( m_musicFolder, m_separator );
    setTabOrder( m_separator, m_category );
    setTabOrder( m_category, m_insertCategory );
    setTabOrder( m_insertCategory, m_showExample );

    // buddies
    textLabel1->setBuddy( m_category );
}

/*
 *  Destroys the object and frees any allocated resources
 */
FileRenamerBase::~FileRenamerBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FileRenamerBase::languageChange()
{
    setCaption( tr2i18n( "File Renamer Configuration" ) );
    m_separator->clear();
    m_separator->insertItem( tr2i18n( " - " ) );
    m_separator->insertItem( tr2i18n( "_" ) );
    m_separator->insertItem( tr2i18n( "-" ) );
    textLabel1_6->setText( tr2i18n( "Music folder:" ) );
    m_category->clear();
    m_category->insertItem( tr2i18n( "Album Tag" ) );
    m_category->insertItem( tr2i18n( "Artist Tag" ) );
    m_category->insertItem( tr2i18n( "Genre Tag" ) );
    m_category->insertItem( tr2i18n( "Title Tag" ) );
    m_category->insertItem( tr2i18n( "Track Tag" ) );
    m_category->insertItem( tr2i18n( "Year Tag" ) );
    m_insertCategory->setText( tr2i18n( "Insert Category" ) );
    m_musicFolder->setProperty( "url", tr2i18n( "/home/kde-cvs/music" ) );
    textLabel1->setText( tr2i18n( "Add category:" ) );
    textLabel1_7->setText( tr2i18n( "Separator:" ) );
    groupBox1->setTitle( tr2i18n( "Example" ) );
    m_showExample->setText( tr2i18n( "Show Renamer Test Dialog" ) );
}

void FileRenamerBase::exampleTextChanged()
{
    qWarning( "FileRenamerBase::exampleTextChanged(): Not implemented yet" );
}

void FileRenamerBase::toggleExampleDialog()
{
    qWarning( "FileRenamerBase::toggleExampleDialog(): Not implemented yet" );
}

void FileRenamerBase::insertCategory()
{
    qWarning( "FileRenamerBase::insertCategory(): Not implemented yet" );
}

#include "filerenamerbase.moc"
